# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.joinpoint /.AOWP_ScriptExecutionJoinPoint
/aspect/joinpoint/ScriptExecutionJoinPoint.class.php at line 12

# Class AOWP_ScriptExecutionJoinPoint

    AOWP_JoinPoint
        └─AOWP_ScriptExecutionJoinPoint

public class AOWP_ScriptExecutionJoinPoint
extends AOWP_JoinPoint

Author:
  keiji

Field Summary
private mixed | $_proceedArgRefs

Fields inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
_ast, _executedAdvice, _fileFullPath, _fileName, _line, _proceedFunctionName, _returnValue, _timestamp

Constructor Summary
AOWP_ScriptExecutionJoinPoint(mixed element, mixed fileName)

Method Summary
void | addProceedArg(mixed proceedArg)
mixed | proceed(mixed argumentArray, $argumentArray ) aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

Methods inherited from aowp.aspect.joinpoint /.AOWP_JoinPoint
getAST, getExecutedAdvice, getFileFullPath, getFileName, getFormData, getLineNumber, getReturnValue, getSessionID, getTimestamp, proceed, setAST, setExecutedAdvice, setProceedFunctionName, setReturnValue

## Field Detail

/aspect/joinpoint/ScriptExecutionJoinPoint.class.php at line 14

### _proceedArgRefs

`private mixed $_proceedArgRefs = array()`

## Constructor Detail

/aspect/joinpoint/ScriptExecutionJoinPoint.class.php at line 16

### AOWP_ScriptExecutionJoinPoint

`public AOWP_ScriptExecutionJoinPoint(mixed element, mixed fileName)`

## Method Detail

/aspect/joinpoint/ScriptExecutionJoinPoint.class.php at line 36

### addProceedArg

`public void addProceedArg(mixed proceedArg)`

/aspect/joinpoint/ScriptExecutionJoinPoint.class.php at line 20

### proceed

`public mixed proceed(mixed argumentArray, $argumentArray )`

aroundアドバイスの時に、ポイントカットで選択した元の処理を呼び出します。 もし、ポイントカットで選択したジョインポイントが、引き数を持つ場合、引き数は、配列にして渡して下さい。 aroundアドバイス以外の時に呼び出した場合、何も処理をせず、返り値も返しません。 返り値は、元の処理に返り値が有る場合、その値が返ります。

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr